Bug 608925 - Review Request: python-iso8601 - Simple module to parse ISO 8601 dates
Review Request: python-iso8601 - Simple module to parse ISO 8601 dates
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 18:47 EDT by Ian Weller
Modified: 2010-11-13 11:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-26 07:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2010-06-28 18:47:42 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-iso8601/0.1.4-1/python-iso8601.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-iso8601/0.1.4-1/python-iso8601-0.1.4-1.fc12.src.rpm
Description:
This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.
Comment 1 Fabian Affolter 2010-07-04 09:07:33 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F13/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop011 SRPMS]$ rpmlint python-iso8601-0.1.4-1.fc12.src.rpm 
     python-iso8601.src: W: spelling-error %description -l en_US datetime -> date time, date-time, dateline
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
     Binary RPM(s):
     [fab@laptop011 noarch]$ rpmlint python-iso8601-0.1.4-1.fc13.noarch.rpm 
     python-iso8601.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, dateline
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: f63c17a1786b9fe48d05b43d61970f85
     Build source:    f63c17a1786b9fe48d05b43d61970f85
 [-] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2293688
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

The %{python_sitelib} should be updated before the cvs import to reflect the guidelines.

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

https://fedoraproject.org/wiki/Packaging:Python#Macros

Beside that I see no further blocker, package APPROVED
Comment 2 Ian Weller 2010-07-09 16:11:05 EDT
New Package CVS Request
=======================
Package Name: python-iso8601
Short Description: Simple module to parse ISO 8601 dates
Owners: ianweller
Branches: F-12 F-13 EL-5 EL-6
InitialCC:
Comment 3 Kevin Fenzi 2010-07-12 13:22:52 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fabian Affolter 2010-10-10 09:35:41 EDT
Ian, can your please build that package?
Comment 5 Ian Weller 2010-10-10 13:51:03 EDT
Whoops, sorry! Doing that now.
Comment 7 Ian Weller 2010-11-12 15:14:01 EST
Package Change Request
======================
Package Name: python-iso8601
New Branches: EL-6
Comment 8 Jason Tibbitts 2010-11-13 11:58:56 EST
This request specifies no owners.
Comment 9 Jason Tibbitts 2010-11-13 11:59:39 EST
And, also, an el6 branch already seems to exist.

Note You need to log in before you can comment on or make changes to this bug.